﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
         image bg valley = "valley.png"
         image bg happyhappy = "happyhappy.png"
         image bg carp = "carpainter.png"
         image bg drugstore = "drugstore.png"
         image bg dark = "dark.png"
         image bg room = "room.png"
         image bg credits = "credits.jpg"

    # Declare characters used by this game.
         $ A = Character('???', color="#c8ffc8")
# Image on the Side
         $ N = Character('Ness',
         color="#c8ffc8",
         window_left_padding=160,
         show_side_image=Image("ness.png", xalign=0.0, yalign=1.0))
         
# Image on the Side
         $ P = Character('Paula',
         color="#c8ffc8",
         window_left_padding=160,
         show_side_image=Image("paula.png", xalign=0.0, yalign=1.0))
         
# Image on the Side
         $ J = Character('Jeff',
         color="#c8ffc8",
         window_left_padding=160,
         show_side_image=Image("jeff.png", xalign=0.0, yalign=1.0))
         
# The game starts here.
label start:
    
    N "Its been about a year since we defeated giygas and saved the world."
    
    N "And, each one of us has returned to our hometown's and homelands."
    
    N "Every once in a while we'll all get together and do something like explore The Lost Underworld, or Deep Darkness, or Even go vist the Mr. Saturns and Tendas."
    
    N "This year, on Halloween we're gonna go to the remains of the ruins of Happy Happy Village."
    
    N "Most of it has been boarded up or abandoned."
    
    N "I don't know what we'll find there, but it sure will be interesting."
    
    N "We've agreed to meet in Peaceful Rest Valley, in about an hour."
    
    N "I've better get going."
    
    N "Also, Unfortunetly Poo isn't coming. He has some kind of Prince Buisness to attend to, but I think he's just scared."
    
    play music "valley.mp3" fadeout 1.0
    
    scene bg valley
    
    N "Well, I'm Here."
    
    N "PAULA!?"
    
    N "JEFF!?"
    
    N "Where could they be?"
    
    P "Here we Are!"
    
    J "Me Too!"
    
    N "Ready to go to Happy Happy Village?"
    
    P "Sure, Aslong as we don't go around the old Jail."
    
    N "O... K..."
    
    P "I Hate those Happy Happy-ists."
    
    P "You don't know how much I hate them."
    
    N "Ok, Moving On..."
    
    N "Well, Lets go down to the village, Okay?"
    
    P "O... K..."
    
    J "I, Concur."
    
    play music "happyhappy.mp3" fadeout 1.0
    
    scene bg happyhappy
    with fade
    
    N "We're Here, so we might as well start exploring. Where should we go first?"
    
    menu:

        N "Where To?"

        "Happy Happy Hall.":

            jump hall

        "Happy Happy Drug Store.":

            jump store
            
label hall:
    scene bg carp
    with fade
    
    N "Well, Here we are, Carpainter's Room."
    P "Sure is Spooky, Huh Ness?"
    N "You said it."
    J "I, Concur."
    P "Ness, Why did they Kidnap, Me all those years ago?"
    N "I Don't Know, Paula. I guess it was just fate."
    J "Or the Mani-Mani Statue told them to do it since you were destined to be a part of the chosen four so that it would hinder us defeating him."
    P "Or maybe it was the pink bow, and dress?"
    P "I like the First explanation better."
    
    N "Okay."
    
    N "Lets go somewhere else."
    
    jump store
    
label store:
    
    scene bg drugstore
    with fade
    N "Here we are, the old abandoned Happy Happy Drug Store."
    
    play sound "eb_creepy.wav"
    
    P "Hmmm... I had a dream about this place, as soon as I walked into this place in the dream, the next thing I knew, I was wide awake. It's left me with a really eerie feeling... I wish I could have stayed in the dream longer, to figure this out or something..."
    P "It sorta made me feel like the spirit of Happy Happy-ism Lives on in this Drug Store."
    P "I'm Creeped Out."
    J "Jinkies."
    N "Its ok, Paula. Its not like the spirit of Happy Happy-ism is going to come down and kidnap you like in the Dept. Store..."
    "..."
    P "Um... Lets go now. Please?"
    P "Please...?"
    "..."
    N "No, Paula. Not yet."
    P "Why?"
    N "I don't know..."
    scene bg dark
    play sound "eb_creepy.wav"
    P "HEY! Where are the lights?"
    P "Ness, if thats you i'm gonna..."
    P "AHHHHHHHHHHHH!"
    play sound "eb_creepy.wav"
    scene bg drugstore
    with fade
    N "Hey, Wheres Paula!?"
    J "She's Been Kidnapped!"
    N "Who has kidnapped her!?"
    J "I have a hunch..."
    N "JEFF! Theres no time for hunches! I'm in Bunches! Wheres the rest? Wheres the Best?"
    J "Cellular? Modular? Interactivodular?"
    N "Stop messing around jeff!"
    N "Paula has been Kidnapped!"
    N "So... Where should we look?"
    menu:

        N "Where To?"

        "Carpainters Room!":

            jump room

        "The Roof!":

            jump silly
            
label silly:
    "Silly Ness and Friends. The Roof is for Cats."
    N "Quick! to Carpainters Room!"
    N "I Thought I heard Paula There!"
    jump room
    
label room:
    scene bg room
    with fade
    N "Ok, We're Here."
    N "I Here noises from upstairs!"
menu:

        N "What to do?"

        "Rush up the Stairs!":

            jump good

        "Slowly and Steathly Sneak up the Stairs!":

            jump bad
            
label bad:
    N "Stealth up the Stairs!"
    A "Its Ness and Jeff!"
    A "Quick! Get rid of Her!"
    P "No! Please Don't!"
    P "NO! Stop! NOOOOOOOOOOO!"
    N "Hurry Jeff!"
    scene bg carp
    with fade
    N "She's Gone..."
    J "Ness, I'm Sorry."
    N "Paula..."
    N "NOOOOOOOOO!"
    centered "You have Failed to save Paula"
    centered "You searches around the world for her."
    centered "But you never find her."
    centered "You stop being the hero of the earth and seperate yourself from society becuase of your guilt."
    centered "The End"
    jump credits
    
label good:
    A "Oh No! Its Ness!"
    A "Quick Everybody! Run!"
    scene bg carp
    with fade
    N "Paula! Are you OK?"
    P "Yes! Thankfully you scared those Happy Happy-ists away."
    P "They were trying to Kill me."
    N "Thankfully we got to you in time."
    P "Thank you Ness."
    centered "You have saved Paula"
    centered "Afterwords you have a Happy Happy Halloween."
    centered "Later, the police find the HH-ists and put them in jail."
    centered "The End"
    jump credits
    
label credits:
    scene bg credits
    with fade
    play music "valley.mp3" fadeout 1.0
    centered "Happy Happy Halloween"
    centered "Idea'd, Scripted, and Made by..."
    centered "josh"
    centered "Sprites, Backgrounds, and Music"
    centered "Starmen.net"
    centered "I hope you enjoyed this game!"
    centered "Remember! Theres two endings! A Good one and a Bad one!"
